# PetscGlobalSum

Computes the sum over sever processors

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscGlobalSum(PetscScalar* local,PetscScalar* result,MPI_Comm comm)

Collective on MPI_Comm

### Input Parameters

| local | - the local value
| comm | - the processors that find the sum

### Output Parameter

result -the sum

### Notes

These functions are to be used inside user functions that are to be processed with ADIC. PETSc will automatically provide differentiated versions of these functions

### See Also

PetscGlobalMin(), PetscGlobalMax()

Level:intermediate
Location: src/sys/objects/pinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages